Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel
Interface MetadataBuilder

All Known Implementing Classes:
  MetadataBuilderImpl

    public interface MetadataBuilder

Method Summary
`Metadata` | `buildMetadata()`
`MetadataBuilder` | `with(AccessType accessType)`
`MetadataBuilder` | `with(MetadataSourceProcessingOrder metadataSourceProcessingOrder)`
`MetadataBuilder` | `with(NamingStrategy namingStrategy)`
`MetadataBuilder` | `with(SharedCacheMode cacheMode)`
`MetadataBuilder` | `withNewIdentifierGeneratorsEnabled(boolean enabled)`

Method Detail

### with

    MetadataBuilder with(NamingStrategy namingStrategy)

### with

    MetadataBuilder with(MetadataSourceProcessingOrder metadataSourceProcessingOrder)

### with

    MetadataBuilder with(SharedCacheMode cacheMode)

### with

    MetadataBuilder with(AccessType accessType)

### withNewIdentifierGeneratorsEnabled

    MetadataBuilder withNewIdentifierGeneratorsEnabled(boolean enabled)

### buildMetadata

    Metadata buildMetadata()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.